cURL
curl --request GET \
--url https://api.cakto.com.br/public_api/products/{product_pk}/checkouts/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.cakto.com.br/public_api/products/{product_pk}/checkouts/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.cakto.com.br/public_api/products/{product_pk}/checkouts/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
HttpResponse<String> response = Unirest.get("https://api.cakto.com.br/public_api/products/{product_pk}/checkouts/")
.header("Authorization", "Bearer <token>")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.cakto.com.br/public_api/products/{product_pk}/checkouts/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
{
"count": 123,
"next": "http://api.example.org/accounts/?page=4",
"previous": "http://api.example.org/accounts/?page=2",
"results": [
{
"id": 1,
"name": "Checkout Principal",
"default": true,
"updatedAt": "2026-01-01T00:00:00.000000-03:00",
"createdAt": "2026-01-01T00:00:00.000000-03:00",
"visits": 0
}
]
}{
"detail": "As credenciais de autenticação não foram fornecidas."
}Checkouts
Listar Checkouts
Lista todos os checkouts de um produto
GET
/
public_api
/
products
/
{product_pk}
/
checkouts
/
cURL
Escopo
read products
O campo
config não é retornado neste endpoint para evitar respostas muito grandes.
Para obter o config completo, utilize o endpoint de obter checkout.Authorizations
Token de autenticação do tipo Bearer {access_token}, onde {access_token} é o token obtido no fluxo de autenticação.
Path Parameters
Query Parameters
Número de resultados a serem retornados por página.
Which field to use when ordering the results.
Número da página a ser retornada.
A search term.
Was this page helpful?